CREATE TABLE fmk_d_block_status (
    BLOCK_ID                 NUMBER(18, 0),
    PUBLISHED_VERSION_ID     NUMBER(18, 0),
    IS_ARCHIVED_FLAG         VARCHAR2(4)  ,
    PUBLISHED_STATE          VARCHAR2(256),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    BLOCK_ID                 NUMBER(18, 0),
    PUBLISHED_VERSION_ID     NUMBER(18, 0),
    IS_ARCHIVED_FLAG         VARCHAR2(4)  ,
    PUBLISHED_STATE          VARCHAR2(256),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fmk_d_block_status PRIMARY KEY (BLOCK_ID, BLOCK_ID)
);
